#!/bin/sh

#
# ------------------------------------------------------------------
# filtre: doit etre utilise comme :
#
# ps_to_png_xy.bat ires_x ires_y size_x size_y <toto.ps > toto.png
#
#   ex: ires_x ou y =75, 150 ou 300 (dpi)
#       size_x et size_y= 768 576 (format PAL)
#
# exemple, pour image PAL avec 150 dpi:
# ps_to_png_xy.bat 150 150 768 576
#
# et pour double PAL, en 300 dpi:
# ps_to_png_xy.bat 300 300 1536 1152
#
# Le PostScript est pris a partir de son coin inferieur gauche.
#
# P. Robert, CETP, Octobre 1996
# revu Juin 2003
# ------------------------------------------------------------------
 
# verification que l'on a resx et y en argument
 
if test $# -ne 4
   then echo "ps_to_png_xy.bat: il faut iresX, iresY, sizeX, sizeY en argument"
        echo "ex : ps_to_png_xy.bat 150 150 768 576 <toto.ps >toto.png"
        exit
fi

# creation d'un temporaire pour gs

if test -f tempo.ps
   then rm tempo.ps
   fi

cat >tempo.ps

# conversion ps to png par gs

gs -dSAFER -dBATCH -dNOPAUSE -r$1x$2 -g$3x$4 -sDEVICE=png16m -dFIXEDMEDIA  -q -sOutputFile=- tempo.ps -c quit
rm tempo.ps
